
Summary: A KDE screensaver with beautiful firework graphics.
Name: kfiresaver3d
Version: 0.6
Release: 1
License: GPL
Group: Amusements/Graphics
URL: http://robotics.dei.unipd.it/~koral/CODE/
# found at: http://kde-apps.org/content/show.php?content=3129

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dries Apt/Yum Repository http://dries.ulyssis.org/ayo/

Source: 3129-kfiresaver3d-0.6-leakfix.tar.bz2
BuildRoot: %{_tmppath}/root-%{_name}-%{_version}
BuildRequires: gettext, libart_lgpl-devel, libjpeg-devel, libpng-devel, arts-devel, zlib-devel, kdelibs-devel, gcc, make, gcc-c++, XFree86-devel, qt-devel
Requires: kdelibs

#(d) primscreenshot: http://kde-apps.org/content/pics/3129-2.png

%description
A screensaver for KDE with nice firework graphics.
After installation, the screensaver is available in your Control Center
within the lists of screensavers as 'Fireworks 3D (GL)'. You need a decent
graphics card with OpenGL support.

%prep
%{__rm} -rf "${RPM_BUILD_ROOT}"
%setup

%build
. /etc/profile.d/qt.sh
%configure
%{__make} %{?_smp_mflags}

%install
. /etc/profile.d/qt.sh
export DESTDIR=$RPM_BUILD_ROOT
mkdir -p ${DESTDIR}/usr/share/applnk/System/ScreenSavers/
make install-strip
mkdir -p ${DESTDIR}/usr/share/apps/kscreensaver/ScreenSavers/
mv ${DESTDIR}/usr/share/applnk/System/ScreenSavers/kfiresaver3D.desktop ${DESTDIR}/usr/share/apps/kscreensaver/ScreenSavers/


%files
%defattr(-,root,root, 0755)
%{_bindir}/kfiresaver3d
/usr/share/apps/kscreensaver/ScreenSavers/kfiresaver3D.desktop
/usr/share/apps/kfiresaver/fw_explode.wav
/usr/share/apps/kfiresaver/kde.png
/usr/share/apps/kfiresaver/particle.bmp
/usr/share/apps/kfiresaver/tux.png


%changelog
* Sat Jan 10 2004 Dries Verachtert <dries@ulyssis.org> 0.6-1
- first packaging for Fedora Core 1
